
import java.io.BufferedReader
import java.io.InputStreamReader
import java.io.OutputStream
import java.io.PrintWriter
import java.net.Socket

class ClientConnection {
    /*
        Messages are exchanged in Strings, each message ends with \n
     */
    private lateinit var clientSocket: Socket;
    private lateinit var outWriter: PrintWriter;
    private lateinit var inReader: BufferedReader;

    fun startConnection(ip: String, port: Int) {
        clientSocket = Socket(ip, port)
        outWriter = PrintWriter(clientSocket.getOutputStream(), true)
        inReader = BufferedReader(InputStreamReader(clientSocket.getInputStream()))
    }
    fun getOutputStream():OutputStream{return clientSocket.getOutputStream()}
    fun getWriter():PrintWriter{return outWriter;}
    fun sendMessage(msg: String) {
        outWriter.println(msg)
    }
    fun readMessage():String{

        return inReader.readLine()
    }

    fun stopConnection() {
        inReader.close()
        outWriter.close()
        clientSocket.close()
    }
}